EC_STRVEC_SORT(3)

NAME
ec_strvec_sort - Sort the string vector.

SYNOPSIS
#include <ecoli/strvec.h>

void ec_strvec_sort(
    struct ec_strvec                       *strvec,   /* The pointer to the first string vector. */
    int(*)(const char *s1, const char *s2)  str_cmp   /* The sort function to use. If NULL, use strcmp. */
);

DESCRIPTION

Attributes are not compared.

SEE ALSO

ec_strvec_set_attrs(3), ec_strvec_del_last(3), ec_strvec_val(3), ec_strvec_cmp(3), ec_strvec_from_array(3), ec_strvec_get_attrs(3), ec_strvec_dup(3), ec_strvec_set(3), ec_strvec_len(3), ec_strvec_dump(3), ec_strvec_sh_lex_str(3), ec_strvec_add(3), ec_strvec_free(3), ec_strvec(3), ec_strvec_ndup(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.